#! /usr/bin/python

import getpass, crack

print("Example program using cracklib")

password = getpass.getpass("Enter potential password: ")

try:
	crack.FascistCheck(password)
except ValueError, reason:
	print("Please use a different password, %s." % reason)
else:	
	print("Good password.")
